Subject: Re: [Idr] draft-bashandy-idr-bgp-repair-label-03

From: Ahmed Bashandy <[email-masked]>
Date: Mon, 02 Apr 2012 16:36:01 -0700

The concept of PE-CE protection is not new. AFAIK it, was introduced in
the paper titled "Achieving sub-second IGP convergence in large IP
Networks" published in ACM SIGCOMM Computer Communication Review,
35(3):33-44, July 2005. the idea of having a special label was also
mentioned in the paper

draft-bashandy-idr-bgp-repair-label-03 specifies PE-CE protection using
repair label in a very concrete manner so that it can be implemented.
That is why draft-bashandy-idr-bgp-repair-label-03 is a standards track
draft. For example some of the concrete information in
draft-bashandy-idr-bgp-repair-label-03 :
- proposes advertising the repair label as an optional non-transitive
attribute.
- specifies the syntax of the proposed attribute section 3.1.2.
- Unambiguously specifies the semantics of the repair label and the
forwarding behavior on the nodes participating in the scheme
- recommends using per-CE repair label allocation

In addition, the loop prevention specified in
draft-bashandy-idr-bgp-repair-label-03 is independent of the method of
choosing a repair path. For example, the repair path can be ECMP,  best
external, or some other future mechanism.

Besides, the concept of repair label is very general and can be used in
other BGP FRR mechanisms such as draft-bashandy-bgp-edge-node-frr-02.

Thanks

Ahmed

On 3/26/2012 1:20 AM, Xuxiaohu wrote:
>
> Hi co-authors of the abvove draft,
>
>  
>
> In you draft, it said"As usual, each PE allocates a local label for
> each prefix it can reach through an external neighbor CE. This is the
> primary label used for normal traffic forwarding." and "To provide
> repair path information to all PEs, the PE also allocates a repair
> label to the prefix if it can reach that prefix via an external
> neighbor."
>
>  
>
> Does it mean the external path which the repair label is associated
> with is a best external path? If so, could you explain what's
> difference between the above draft and this draft
> (http://tools.ietf.org/html/
> <http://tools.ietf.org/html/draft-xu-idr-best-external-loop-avoidance-00>draft-xu-idr-best-external-loop-avoidance-00
> <http://tools.ietf.org/html/draft-xu-idr-best-external-loop-avoidance-00>).
>
>  
>
> BR,
>
> Xiaohu
>
>
>
> _______________________________________________
> Idr mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/idr

---

From: Ahmed Bashandy <[email-masked]>
Date: Mon, 02 Apr 2012 20:36:07 -0700

The correct reference is for PE-CE link protection is the paper titled
"Achieving sub-50 milliseconds recovery upon bgp peering link failures,"
published in IEEE/ACM Transactions on Networking, 15(5):1123--1135, 2007

Thanks

Ahmed

On 4/2/2012 4:36 PM, Ahmed Bashandy (bashandy) wrote:
>
> The concept of PE-CE protection is not new. AFAIK it, was introduced
> in the paper titled "Achieving sub-second IGP convergence in large IP
> draft-bashandy-idr-bgp-repair-label-03 specifies PE-CE protection
> using repair label in a very concrete manner so that it can be
> implemented. That is why draft-bashandy-idr-bgp-repair-label-03 is a
> standards track draft. For example some of the concrete information in
> choosing a repair path. For example, the repair path can be ECMP, 
> best external, or some other future mechanism.
>
> Besides, the concept of repair label is very general and can be used
> in other BGP FRR mechanisms such as draft-bashandy-bgp-edge-node-frr-02.
>
> Thanks
>
> Ahmed
>
>